/* ----------------------------------------------------------------------------

 Question Server
 GitLab: <https://gitlab.com/MrFry/question-node-server>

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>.

 ------------------------------------------------------------------------- */

let url = ''
const express = require('express')
const app = express()

const logger = require('../utils/logger.js')

// --------------------------------------------------------------

app.get('/', function (req, res) {
  res.redirect(url + req.url)
})

app.get('*', function (req, res) {
  res.redirect(url + req.url)
})

app.post('*', function (req, res) {
  res.redirect(url + req.url)
})

exports.app = app
exports.setup = (x) => {
  url = x.url
}

logger.Log('Old module started', logger.GetColor('yellow'))
